/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package ProductSaleMgmt.SaleToCustomer;

import java.util.Date;
import java.util.Vector;
import java.math.BigDecimal;
import ManuMgmt.ProductionRequest.ProductionRequest;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class SaleToCustomer {
    public void makeSaleToCustomer() {
    }

    public BigDecimal calcSubtotalUsingFIFO() {
        return new BigDecimal(0);
    }

    public BigDecimal calcSubtotalUsingLIFO() {
        return new BigDecimal(0);
    }

    public BigDecimal calcSubtotalStandard() {
        return new BigDecimal(0);
    }

    public BigDecimal calcSubtotalWeightedAvg() {
        return new BigDecimal(0);
    }

    public Vector calcTaxByTaxCategory() {
        return new Vector();
    }

    public BigDecimal calcDeliveryCharge() {
        return new BigDecimal(0);
    }

    public BigDecimal calcTotal() {
        return new BigDecimal(0);
    }

    public BigDecimal recalcTotal() {
        return new BigDecimal(0);
    }

    public boolean checkAvailability() {
        return false;
    }

    public boolean checkCreditForAmount() {
        return false;
    }

    public ProductionRequest generateProductionRequest() {
        return new ProductionRequest();
    }

    public Date estimateDeliveryDate() {
        return new Date(0);
    }

    public void addBackorder() {
    }

    public void autoRepeat() {
    }

    public Vector mi_compareSaleWithShipments() {
        return new Vector();
    }

    /**  */
    public Vector mi_compareSaleWithDeliveries() {
        return new Vector();
    }

    public Vector listProductSaleDetails() {
        return new Vector();
    }

    public static Vector listOrders() {
        return new Vector();
    }

    /**
     *@supplierCardinality 0..*
     * @supplierRole back order, auto-repeat
     * @clientCardinality 0..1
     */
    private SaleToCustomer lnkUnnamed;

    /**
     * @shapeType AggregationLink
     * @supplierCardinality 1..*
     * @clientCardinality 1
     */
    private SaleToCustomerDetail lnkUnnamed2;
    private String number;
    private int customerPONumber;
    private Date date;
    private Date dueDate;
    private Date dateOfExpiration;
    private int priority;
    private String shippingMethod;
    private boolean partialShipmentAllowed;
    private int autoRepeatFrequency;
    private String paymentTerms;

    /**
     *@supplierCardinality 0..*
     * @clientCardinality 1..*
     */
    private ProductSaleMgmt.ShipmentToCustomer.ShipmentToCustomer lnkUnnamed1;

    /**
     *@supplierCardinality 0..1
     *@clientCardinality 0..*
     */
    private TermsAndConditions lnkUnnamed3;
    private Vector signators;

    /** @supplierCardinality 1 */
    private IMakeSaleToCustomer lnkUnnamed4;
    private int costingMethodUsed;
    private BigDecimal subtotal;
    private BigDecimal taxByTaxCategory;
    private BigDecimal deliveryCharge;

    /**
     * @supplierCardinality 0..1
     * @clientCardinality 0..*
     */
    private ManuMgmt.ProductionRequest.ProductionRequest lnkUnnamed5;
    private int status;

    /**
     * @clientCardinality 0..*
     * @supplierCardinality 0..1
     * @supplierRole ship-to address
     */
    private RelMgmt.Party.Address lnkUnnamed6;
}


